io.milvus.bulkwriter.storage

## Interface StorageClient

All Known Implementing Classes:
  AzureStorageClient, MinioStorageClient

    public interface StorageClient

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `checkBucketExist(java.lang.String bucketName)`
`java.lang.Long` `getObjectEntity(java.lang.String bucketName, java.lang.String objectKey)`
`void` `putObjectStream(java.io.InputStream inputStream, long contentLength, java.lang.String bucketName, java.lang.String objectKey)`

### Method Detail

#### getObjectEntity

    java.lang.Long getObjectEntity(java.lang.String bucketName,
                                   java.lang.String objectKey)
                            throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### checkBucketExist

    boolean checkBucketExist(java.lang.String bucketName)
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### putObjectStream

    void putObjectStream(java.io.InputStream inputStream,
                         long contentLength,
                         java.lang.String bucketName,
                         java.lang.String objectKey)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`